VST 3 SDK: Steinberg::Vst::Helpers Namespace Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Functions
Steinberg::Vst::Helpers Namespace Reference

## Functions
template<class T >
T | boundTo (T minval, T maxval, T x)
| bound a value between a min and max
Event & | init (Event &event, uint16 type, int32 busIndex=0, int32 sampleOffset=0, TQuarterNotes ppqPosition=0, uint16 flags=0)
| Initialized a Event.
ParamValue | getMIDINormValue (uint8 value)
| Returns normalized value of a LegacyMIDICCOutEvent value [0, 127].
int8 | getMIDICCOutValue (ParamValue value)
| Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1.
int16 | getPitchBendValue (LegacyMIDICCOutEvent &e)
| Returns pitchbend value from a PitchBend LegacyMIDICCOut Event.
void | setPitchBendValue (LegacyMIDICCOutEvent &e, ParamValue value)
| set a normalized pitchbend value to a LegacyMIDICCOut Event
float | getNormPitchBendValue (LegacyMIDICCOutEvent &e)
| Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event.
LegacyMIDICCOutEvent & | initLegacyMIDICCOutEvent (Event &event, uint8 controlNumber, uint8 channel=0, int8 value=0, int8 value2=0)
| Initialized a LegacyMIDICCOutEvent.
tresult | isProjectState (IBStream *state)
| Helpers.

## Function Documentation

T Steinberg::Vst::Helpers::boundTo | ( | T | minval,
|  | T | maxval,
|  | T | x
| ) |  |
| inline

bound a value between a min and max

Event& Steinberg::Vst::Helpers::init | ( | Event & | event,
|  | uint16 | type,
|  | int32 | busIndex = `0`,
|  | int32 | sampleOffset = `0`,
|  | TQuarterNotes | ppqPosition = `0`,
|  | uint16 | flags = `0`
| ) |  |
| inline

Initialized a Event.

ParamValue Steinberg::Vst::Helpers::getMIDINormValue | ( | uint8 | value | ) |
| inline

Returns normalized value of a LegacyMIDICCOutEvent value [0, 127].

int8 Steinberg::Vst::Helpers::getMIDICCOutValue | ( | ParamValue | value | ) |
| inline

Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1.

]

int16 Steinberg::Vst::Helpers::getPitchBendValue | ( | LegacyMIDICCOutEvent & | e | ) |
| inline

Returns pitchbend value from a PitchBend LegacyMIDICCOut Event.

void Steinberg::Vst::Helpers::setPitchBendValue | ( | LegacyMIDICCOutEvent & | e,
|  | ParamValue | value
| ) |  |
| inline

set a normalized pitchbend value to a LegacyMIDICCOut Event

float Steinberg::Vst::Helpers::getNormPitchBendValue | ( | LegacyMIDICCOutEvent & | e | ) |
| inline

Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event.

LegacyMIDICCOutEvent& Steinberg::Vst::Helpers::initLegacyMIDICCOutEvent | ( | Event & | event,
|  | uint8 | controlNumber,
|  | uint8 | channel = `0`,
|  | int8 | value = `0`,
|  | int8 | value2 = `0`
| ) |  |
| inline

Initialized a LegacyMIDICCOutEvent.

tresult Steinberg::Vst::Helpers::isProjectState | ( | IBStream * | state | ) |
| inline

Helpers.

Retrieve from a IBStream the state type, here the StateType::kProject return kResultTrue if the state is coming from a project, return kResultFalse if the state is coming from a preset, return kNotImplemented if the host does not implement such feature

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.